Mandates APIbetaMandate management

Create amendment request

POST
/mandates/{id}/amendments

Create amendment request while mandate is ACTIVE or SUSPENDED.

At least one of validity or payTo must be provided. The payTo field is only allowed for PayTo mandates.

If the mandate has already been used for payments, the validity.from (start date) cannot be amended.

Authorization

Bearer
headerAuthorizationBearer <JWT>

Bearer token using a JWT.

Path Parameters

id*string

Identifier of the mandate.

Formatuuid

Header Parameters

X-Volt-Api-Version*1

Version of the API used. Currently, version 1 is the only version.

Value in1

Request Body

application/json
  1. body

PayTo mandate amendment request body.

validity?

Proposed changes to mandate validity dates.

payTo?

PayTo-specific amendment fields.

Response Body

Created - Amendment request created.

application/json
  1. response

Amendment details.

id*string

Amendment identifier.

Formatuuid
mandateId*string

Mandate identifier.

Formatuuid
track*AmendmentTrackEnum

Amendment track. Bilateral changes require payer approval; unilateral changes do not.

Value in"BILATERAL""UNILATERAL"
initiator*AmendmentInitiatorEnum

Who initiated the amendment.

Value in"CUSTOMER""PAYER"
status*

Amendment status.

changes*

Proposed constraint changes.

createdAt*string

When the amendment was created.

Formatdate-time
updatedAt?|

When the amendment was last updated.

Formatdate-time
Example Request
curl -X POST 'https://gateway.sandbox.volt.io/mandates/497f6eca-6276-4993-bfeb-53cbbbba6f08/amendments' \  -H 'X-Volt-Api-Version: 1' \  -H 'Content-Type: application/json' \  -d '{  "validity": {    "to": "2026-08-31 00:00:00"  },  "payTo": {    "limits": {      "payment": {        "amount": 12000      }    }  }}'
Example Response
{  "id": "79fb2306-e199-497e-b5a1-912a68a02894",  "mandateId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",  "track": "BILATERAL",  "initiator": "CUSTOMER",  "status": {    "status": "AWAITING_APPROVAL",    "details": null  },  "changes": {    "validity": {      "to": "2026-08-31 00:00:00"    },    "payTo": {      "limits": {        "payment": {          "amount": 12000        }      }    }  },  "createdAt": "2026-04-10T12:00:34+00:00",  "updatedAt": "2026-04-10T12:00:34+00:00"}